Package org.gradle.play.plugins

# Class PlayCoffeeScriptPlugin

java.lang.Object
org.gradle.play.plugins.PlayCoffeeScriptPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public class PlayCoffeeScriptPlugin extends Object implements Plugin<Project>
Plugin for adding coffeescript compilation to a Play application. Adds support for defining `CoffeeScriptSourceSet` source sets. A "coffeeScript" source set is created by default.

## Constructor Summary

Constructors
Constructor
Description
`PlayCoffeeScriptPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project target)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayCoffeeScriptPlugin

public PlayCoffeeScriptPlugin()

## Method Details

### apply

public void apply(Project target)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `target` - The target object